Bug 817278 - Review Request: jdiff - An HTML Report of API Differences
Review Request: jdiff - An HTML Report of API Differences
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 817279 817560
  Show dependency treegraph
 
Reported: 2012-04-28 10:50 EDT by gil cattaneo
Modified: 2015-05-12 00:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: jdiff-1.1.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-19 02:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-28 10:50:41 EDT
Spec URL: http://gil.fedorapeople.org/jdiff.spec
SRPM URL: http://gil.fedorapeople.org/jdiff-1.1.1-1.fc16.src.rpm
Description: JDiff is a Javadoc doclet which generates an HTML 
report of all the packages, classes, constructors, 
methods, and fields which have been removed, added 
or changed in any way, including their documentation, 
when two APIs are compared. This is very useful for 
describing exactly what has changed between two 
releases of a product. Only the API (Application 
Programming Interface) of each version is compared. 
It does not compare what the source code does when 
executed.

tested on http://koji.fedoraproject.org/koji/taskinfo?taskID=4030975
Comment 1 Marek Goldmann 2012-05-10 08:05:12 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

$ rpmlint SPECS/jdiff.spec 
SPECS/jdiff.spec: W: invalid-url Source0: jdiff-1.1.1-clean-src-cvs.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint SRPMS/jdiff-1.1.1-1.fc17.src.rpm 
jdiff.src: I: enchant-dictionary-not-found en_US
jdiff.src: W: invalid-url Source0: jdiff-1.1.1-clean-src-cvs.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/noarch/jdiff-1.1.1-1.fc17.noarch.rpm 
jdiff.noarch: I: enchant-dictionary-not-found en_US
jdiff.noarch: E: incorrect-fsf-address /usr/share/doc/jdiff-1.1.1/LICENSE.txt
jdiff.noarch: W: no-manual-page-for-binary jdiff
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

FSF address.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : ff7469c09618fb40c5bf9b1cb69f94fe
MD5SUM upstream package: 1e2026ed2255f985d64485585d43250c

OK, CVS export.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building

Removed while creating the tar.

[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

https://koji.fedoraproject.org/koji/taskinfo?taskID=4067689

=== Final Notes ===
1. I wonder why you use `pwd` everywhere. For me it's way cleaner to reference the files directly. I tried to build without the `pwd` and it build fine. Consider removing it at the import time.
2. The package has an old FSF address in LICENSE file, consider notifying upstream about it and/or updating it in the package.

Above aren't blockers for me, approving.

================
*** APPROVED ***
================
Comment 2 gil cattaneo 2012-05-10 08:14:48 EDT
New Package SCM Request
=======================
Package Name: jdiff
Short Description: An HTML Report of API Differences
Owners: gil
Branches: f16 f17
InitialCC: java-sig
Comment 3 Gwyn Ciesla 2012-05-10 08:27:02 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-05-10 14:24:36 EDT
jdiff-1.1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jdiff-1.1.1-1.fc16
Comment 5 Fedora Update System 2012-05-10 14:27:38 EDT
jdiff-1.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jdiff-1.1.1-1.fc17
Comment 6 Fedora Update System 2012-05-11 06:28:13 EDT
jdiff-1.1.1-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 7 Fedora Update System 2012-05-19 02:55:05 EDT
jdiff-1.1.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 8 Fedora Update System 2012-05-26 04:03:59 EDT
jdiff-1.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Timothy St. Clair 2015-05-11 22:48:05 EDT
Package Change Request
======================
Package Name: jdiff
New Branches: epel7
Owners: gil 
InitialCC: java-sig
Comment 10 Timothy St. Clair 2015-05-11 22:53:34 EDT
retract, it's part of EL7, but for some reason my mock builds were failing.
Comment 11 gil cattaneo 2015-05-12 00:34:38 EDT
I don't want maintains packages for EPEL, please use your FAS name

Note You need to log in before you can comment on or make changes to this bug.